/*
	CSS Syntax
	-CSS Rule Set
	
	selector {
	
		property: value;
	
	}

*/


/*

 	* - universal selector 
 	font-family prroperty allowa to determine the font of the text.
 	"Coureir New" becomes the default font for our elements.
 	monospace - fallback font.

 	font--size property allow us to change the size of the font.
 		rem; - root element, default font siize. (16px)


 	the root element is the HTML tag	 
*/

* {
	/*default font for all elements*/
	font-family: "Courier New", monospace;
	font-size: 20px; 
}

html{
	/* scroll-behavior changes the scholling */
	scroll-behavior: smooth;
}

body {
	/* background-color - changes the backgroun color */
	background-color: skyblue;
}

nav {
	background-color: white;
}
/* selector:hover pseudo class 
		-changes bg color */
a:hover {
	background-color: #b4d6de;
}

nav > div {

	/*dispaly:  inline-block allowed to chabnged the dispaly of the div
			element from block to inline block, 

	float:  right - change to horizontal aligment*/
	display: inline-block;
	float: right;
}


/*External*/
h1 {
	/*!important - will make prperty a priority*/
	color: black !important;
	font-size: 2rem; /*2x root element fonnt-size (40px)*/
	text-align: center;

}

section {
	/*INCREASE THE HEIHT OH OUR SECTION 100% viewport height.*/
	height: 100vh;
	/* center ng element */
	text-align: center;
}

h2 {
	font-size: 1.5rem;
}

ol {
	/*removes the list style (number or letter)*/
	list-style: none;
}
/*

	id - selector allow us to select the elements with particular id.
		tjis selector is highes prio
	# - calling id

	. - calling Class

	an element can have booth an id and a class, however, declaration for the given id
	is given more prio over class

*/
/* id */

#zuitt-motto {
	letter-spacing: 5px;

}

/* class */
.offering-item {
	text-transform: uppercase;
	font-size: 20px;
	/*letter-spacing: 20px;*/
}

/*attribute selector allows to select elements with the same tag and attribute*/
input[required] {

	/*
		border-width - change thickness of the element
		border--style - change style oof the border
		border-color - change the color of the elemennt
	*/
	border-width: 2px;
	border-style: solid;
	border-color: navy;
	/*the wiidth of the input is 90% of the container*/
	width: 90%;

}

/* adjacent sibling selector . allows us to select the sibling elem direcly after thethe first slector */
h3 + img {

	/*
		height and width allows us to determine the size of the height and witdh of an element.
		border-radius - to round the corner of the of picture.



	*/

	height: 300px;
	width: 300px;
	border-radius: 150px;
}

/*
	descendant selector

	allows us to select elements which are descendant of the first selector
	
*/
#bootcamp-learning-list li {
	/*#075966 - hex value of color*/
	color: #075966;
}


		/* ~  - general sibling selector */

h2 ~ a {
	/*text-declaration- property change lines includes in text 
					(example. overline, underline, strilkethrough)

	*/
							
	text-decoration: none;
}

/*
	child selector 
	
	allows to select the child of an element.
	
	selector (parent) > selector (child)
	
*/

body > section > form > label {
	/*rgb() can be accepted as a value for color.
		rgb refers to red, green, blue. values 0 - 255*/
	color: rgb(0, 0, 128);
}

form {
	text-align: center;
	background-color: white;
	/*border:  <width> <style>< color>*/
	border: 2px solid black;
	height: 185px;
	width: 25vw;
	/*viewport width is a meaduremennt based on  aprercentage of 
		the width of the screen we are viewing our page*/
	
	/*position property changes the position of an elem based on a citeria*/
	position: relative;

	/*allows us to add measurement on the left side of the element*/
	left: 37.25%;

}

button {
	color: white;
	background-color: #cf0053;
	border: 0;
	border-radius: 15px;
}


